
Redmine - Defect #5695

Problem with assignable users in the report page

2010-06-16 10:44 - Fabien ROQUET

Status: Closed Start date: 2010-06-16

Priority: Normal Due date: 2013-04-25

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

In the report page, the assignable list shows all members of the project.

I think it's not right because non assignable members are also shown.

I made modifications on the reports-controller and it seems to work fine.

Take a look on the attached file.

Modification details

Line 52

From:

@rows = @project.members.collect { |m| m.user }.sort

To:

@rows = @project.assignable_users

 

Line 73

From:

@assignees = @project.members.collect { |m| m.user }.sort

To:

@assignees = @project.members.select {|m| m.roles.detect {|role| role.assignable?}}.collect {|m| m

.user}.sort

 I'm a french beginner in ruby's development, so I don't know if it's a good solution.

Environment

Redmine version  0.9.4

Ruby version              1.8.5 (x86_64-linux)

RubyGems version          1.3.5

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Edge Rails revision       unknown

Database adapter          mysql

Database schema version   20100221100219
Related issues:

Is duplicate of Redmine - Defect #6023: All members are displayed in issue su... New 2010-08-03

History

#1 - 2013-04-10 00:03 - Filou Centrinov

For me every thing seems to be right (Redmine 2.3). When you add user to the filter on the report page all users that spent some time to that project

will be shown. Does anybody regret?

Category: Time tracking

#2 - 2013-04-11 07:53 - Toshi MARUYAMA

- Category set to Time tracking

#3 - 2013-04-11 07:54 - Toshi MARUYAMA

- Status changed from New to Needs feedback

#4 - 2013-04-11 14:46 - Daniel Felix

- Due date set to 2013-04-25

Seems to work for me.

Please give Feedback until 25th April, otherwise this issue will be closed. Thanks! :-)

Best regards,

Daniel

#5 - 2013-05-07 09:46 - Daniel Felix

- Status changed from Needs feedback to Closed

- Resolution set to No feedback

Closed as there is no feedback on this issue.

#6 - 2013-11-28 09:49 - Le Quang Chinh

- File Redmine-Issues-Report-problem-2013-11.png added

- File Redmine-Overview-and-Permissions-2013-11.png added

hi Daniel,

I am getting the same problem, too.

I have 02 roles: Send requests and Helpdesks. And issues can not be assigned to this role "Send requests". But when I use Issues Summary

(Report), the assignees show all project members, not just only assignable users. See screenshots attached.

My Redmine Details:

Environment:

  Redmine version                2.3.2.stable

  Ruby version                   1.9.3-p448 (2013-06-27) [i686-linux]

  Rails version                  3.2.13

  Environment                    production

  Database adapter               Mysql2

Redmine plugins:

  redmine_anonymous_watchers     0.1.0

  redmine_changeauthor           1.0.0t

  redmine_ckeditor               1.0.11

  redmine_didyoumean             1.2.0

  redmine_knowledgebase          2.3.0

  redmine_polls                  0.0.1

  redmine_reminder               0.0.10

 Best regards,

--Chính
#7 - 2013-12-06 05:01 - Toshi MARUYAMA

- Status changed from Closed to New

- Resolution deleted (No feedback)

#8 - 2020-07-12 07:20 - Go MAEDA

- Category changed from Time tracking to Issues

- Status changed from New to Closed

- Resolution set to Fixed

Since the author attached a patched version of reports_controller.rb, I believe that the original author was talking about the Summary page of issues

(/projects/[identifier]/issues/report), not the report tab in the spent time page.

And this issue seems a duplicate of #6023. Closing.

#9 - 2020-07-12 07:21 - Go MAEDA

- Is duplicate of Defect #6023: All members are displayed in issue summaries, even if they cannot be assigned added

Files

reports_controller.rb 9.53 KB 2010-06-16 Fabien ROQUET

Redmine-Issues-Report-problem-2013-11.png 37.4 KB 2013-11-28 Le Quang Chinh

Redmine-Overview-and-Permissions-2013-11.png 82.3 KB 2013-11-28 Le Quang Chinh
